de.esprit.netsuite.server.chxfer

## Class FileTransferEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.chxfer.FileTransferEntry

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, Cancellable, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class FileTransferEntry
      extends AbstractServerObject<ServerContext>
      implements Cancellable

  This class maintains a file transfer on the server during up/download. Note that it also synchronizes the commit procedure by ensuring that all jobs of a joblist actually have been completed.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferEntry(ServerContext serverCtx, FileTransferJobList jobs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the Dialog.
    `void` | `checkCancelled()`
    `boolean` | `containsUploadJob()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getDoneCountRef()`
    `java.lang.Exception` | `getError()`
    `JobId` | `getJobId()`
    `FileTransferJobList` | `getJobList()`
    `boolean` | `hasError()`
    `int` | `hashCode()`
    `void` | `setCurrentTask(TransferServiceTask task, FileTransferJob job)`
    `void` | `setDone()` Marks the next job as done by incrementing the done-counter
    `void` | `setError(java.lang.Exception e)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `void` | `waitForCompletedAll()` Blocks until all jobs of a joblist have been completed
    `void` | `waitForCompletedCurrent()`
    `boolean` | `wasCancelled()` Tells whether a Dialog has been cancelled.

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferEntry

          public FileTransferEntry(ServerContext serverCtx,
                           FileTransferJobList jobs)

  - ### Method Detail

    - #### getJobList

          public FileTransferJobList getJobList()

    - #### getJobId

          public JobId getJobId()

    - #### setCurrentTask

          public void setCurrentTask(TransferServiceTask task,
                            FileTransferJob job)

    - #### wasCancelled

          public boolean wasCancelled()

      Description copied from interface: `Cancellable`
      Tells whether a Dialog has been cancelled.
      Specified by:
        `wasCancelled` in interface `Cancellable`

    - #### checkCancelled

          public void checkCancelled()

    - #### cancel

          public void cancel()

      Description copied from interface: `Cancellable`
      Cancels the Dialog.
      Specified by:
        `cancel` in interface `Cancellable`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### containsUploadJob

          public boolean containsUploadJob()

    - #### waitForCompletedAll

          public void waitForCompletedAll()

      Blocks until all jobs of a joblist have been completed

    - #### waitForCompletedCurrent

          public void waitForCompletedCurrent()

    - #### setDone

          public void setDone()

      Marks the next job as done by incrementing the done-counter

    - #### getDoneCountRef

          public int getDoneCountRef()

    - #### hasError

          public boolean hasError()

    - #### getError

          public java.lang.Exception getError()

    - #### setError

          public void setError(java.lang.Exception e)

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractServerObject<ServerContext>`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.